<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"
    version="2.0">
    <xsl:template match="/">
        <html>
            <head>
                <style type="text/css">
                    body {
                        background:#FF1493;
                    }
                </style>
            </head>
            <body>
                <h1>Postkarte von <xsl:value-of select="//verfasser"/> an <xsl:value-of select="//empfänger"></xsl:value-of></h1>
        
            <p>Orte: 
                <ul>
                    <xsl:for-each select="distinct-values(//ort)">
                        <xsl:sort order="descending"/>
                        <li><xsl:value-of select="."/><xsl:if test="not(position()=last())">, </xsl:if></li>
                    </xsl:for-each>.
                </ul>
            </p>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>